<div class="container">
    <div class="profile-container">
        <div class="row">
            <div class="col-xs-12 form-ctl" ><br>
                <div>
                    <app-user-data></app-user-data>
                <br>
                </div>
                <div class="container img-panel">
                    <img src="https://www.pngkey.com/png/detail/114-1149878_setting-user-avatar-in-specific-size-without-breaking.png" alt="">
                </div>

                
                <form [formGroup]="profileForm" (ngSubmit)="onSubmit()">

                    <span
                                    class="help-block"
                                    *ngIf="status">
                                    Submit Successfully
                                </span>

                    <div class="row">
                        <div class="col-xs-12">
                            <div class="form-group">
                                <textarea 
                                   
                                    placeholder="What's on your mind..." 
                                    id="activity-panel" 
                                    cols="70" 
                                    rows="6"
                                    formControlName="activity"
                                    required
                                ></textarea>
                                <span
                                    class="warn-block"
                                    *ngIf="!profileForm.get('activity').valid && profileForm.get('activity').touched "
                                >
                                    This feild is required.
                                </span>
                            </div>
                        </div>
                    </div><br>
                    <div class="row">
                        <div class="col-xs-12">
                            <div class="form-group">
                                <input 
                                    name="tag" 
                                    placeholder="Tag" 
                                    id="activity-panel" 
                                    formControlName="tag"
                                    required
                                >
                            </div>
                        </div>
                    </div><br><br>
                    <div class="row">
                        <div class="col-xs-12">
                            <button type="submit" class="btn btn-success">Share</button>
                        </div>
                    </div>
                
                </form>
               

            
            </div>

        </div>
        
    </div>

</div>